Skip to main content
GET
/
tax
/
business_entities
/
{business_entity_id}
/
jurisdiction_rates
List jurisdiction rates
curl --request GET \
  --url https://api.zenskar.com/tax/business_entities/{business_entity_id}/jurisdiction_rates \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "business_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "country_code": "<string>",
    "state_code": "<string>",
    "city": "<string>",
    "zip_code_start": "<string>",
    "zip_code_end": "<string>",
    "tax_category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "effective_from": "2023-12-25",
    "effective_to": "2023-12-25",
    "is_active": true,
    "name": "<string>",
    "rates": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "jurisdiction_rate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tax_name": "<string>",
        "rate_percent": 123,
        "is_compound": true,
        "compound_order": 123,
        "jurisdiction_level": "<string>",
        "jurisdiction_code": "<string>"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

business_entity_id
string<uuid>
required

Query Parameters

tax_category_id
string<uuid> | null

Filter by tax category ID

Response

Successful Response

id
string<uuid>
required
business_entity_id
string<uuid>
required
organization_id
string<uuid>
required
country_code
string
required
state_code
string | null
required
city
string | null
required
zip_code_start
string | null
required
zip_code_end
string | null
required
tax_category_id
string<uuid>
required
effective_from
string<date>
required
effective_to
string<date> | null
required
is_active
boolean
required
name
string | null
required
rates
TaxRateResponseSchema · object[] | null

Inline tax rates (included on create)